%{?nodejs_find_provides_and_requires}

Name:           nodejs-string-dot-prototype-dot-trim
Version:        1.1.2
Release:        1%{?dist}
Summary:        ES5 spec-compliant shim for String.prototype.trim

License:        MIT
URL:            https://github.com/es-shims/String.prototype.trim
Source0:        https://registry.npmjs.org/string.prototype.trim/-/string.prototype.trim-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)
BuildRequires:  npm(define-properties)
BuildRequires:  npm(es-abstract)
BuildRequires:  npm(function-bind)


%description
An ES5 spec-compliant String.prototype.trim shim. Invoke its "shim"
method to shim String.prototype.trim if it is unavailable.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string.prototype.trim
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/string.prototype.trim
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs test/shimmed.js
%__nodejs test/index.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/string.prototype.trim


%changelog
* Sat Feb  6 2016 Tom Hughes <tom@compton.nu> - 1.1.2-1
- Update to 1.1.2 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.1.1-1
- Initial build of 1.1.1
